Bio::Phenotype::Measure(3)

NAME
Measure - Representation of context/value(-range)/unit triplets

SYNOPSIS
  use Bio::Phenotype::Measure;

  my $measure = Bio::Phenotype::Measure->new( -context     => "length",
                                              -description => "reduced length in 4(Tas1r3)",
                                              -start       => 0,
                                              -end         => 15,
                                              -unit        => "mm",
                                              -comment     => "see also Miller et al" );

  print $measure->context();
  print $measure->description();
  print $measure->start();
  print $measure->end();
  print $measure->unit();
  print $measure->comment();

  print $measure->to_string();

DESCRIPTION
Measure is for biochemically defined phenotypes or any other types of measures.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org             - General discussion
  http://bio.perl.org/MailList.html - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.bioperl.org/

AUTHOR
Christian M. Zmasek

Email: czmasek@gnf.org or cmzmasek@yahoo.com

WWW: http://www.genetics.wustl.edu/eddy/people/zmasek/

Address:

  Genomics Institute of the Novartis Research Foundation
  10675 John Jay Hopkins Drive
  San Diego, CA 92121

APPENDIX
The rest of the documentation details each of the object methods.

  new
 Title   : new
 Usage   : my $me = Bio::Phenotype::Measure->new( -context     => "length",
                                                  -description => "reduced length in 4(Tas1r3)",
                                                  -start       => 0,
                                                  -end         => 15,
                                                  -unit        => "mm",
                                                  -comment     => "see Miller also et al" );
 Function: Creates a new Measure object.
 Returns : A new Measure object.
 Args    : -context     => the context
           -description => a description
           -start       => the start value
           -end         => the end value
           -unit        => the unit
           -comment     => a comment

  init
 Title   : init()
 Usage   : $measure->init();
 Function: Initializes this Measure to all "".
 Returns :
 Args    :

  context
 Title   : context
 Usage   : $measure->context( "Ca-conc" );
           or
           print $measure->context();
 Function: Set/get for the context of this Measure.
 Returns : The context.
 Args    : The context (optional).

  description
 Title   : description
 Usage   : $measure->description( "reduced in 4(Tas1r3)" );
           or
           print $measure->description();
 Function: Set/get for the description of this Measure.
 Returns : A description.
 Args    : A description (optional).

  start
 Title   : start
 Usage   : $measure->start( 330 );
           or
           print $measure->start();
 Function: Set/get for the start value of this Measure.
 Returns : The start value.
 Args    : The start value (optional).

  end
 Title   : end
 Usage   : $measure->end( 459 );
           or
           print $measure->end();
 Function: Set/get for the end value of this Measure.
 Returns : The end value.
 Args    : The end value (optional).

  unit
 Title   : unit
 Usage   : $measure->unit( "mM" );
           or
           print $measure->unit();
 Function: Set/get for the unit of this Measure.
 Returns : The unit.
 Args    : The unit (optional).

  comment
 Title   : comment
 Usage   : $measure->comment( "see also Miller et al" );
           or
           print $measure->comment();
 Function: Set/get for an arbitrary comment about this Measure.
 Returns : A comment.
 Args    : A comment (optional).

  to_string
 Title   : to_string()
 Usage   : print $measure->to_string();
 Function: To string method for Measure objects.
 Returns : A string representations of this Measure.
 Args    :